//
// Copyright (c) Gesytec GmbH.  All rights reserved.
//
//
/*++
THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF
ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO
THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
PARTICULAR PURPOSE.

Module Name:

GesytecIDs.h

Abstract:

Global defines for Gesytec vendor and device IDs
see also \\Gesytec-fs3\Entwicklung\IDs\DeviceIDs.xls

Notes:

--*/

#ifndef _GESYTEC_IDS_H_
#define _GESYTEC_IDS_H_


///////////////////////////////////////////////////////////////////////////////

#define GESYTEC_PCI_VID     0x1555

  #define GESYTEC_LPP_DID       0x0002
    #define GESYTEC_LPP2_REV        0x01
    #define GESYTEC_LPP3_REV        0x02

  #define GESYTEC_LVP_DID       0x0004
    #define GESYTEC_LVP2_REV        0x02
    #define GESYTEC_LVP3_REV        0x03

  #define GESYTEC_LVX_DID       0x0005
  #define GESYTEC_LVX_SUBSYS    0x00051555
    #define GESYTEC_LVX_REV         0x00

  #define GESYTEC_LVX2_OHCI_DID 0x0006
    #define GESYTEC_LVX2_OHCI_REV   0x00

  #define GESYTEC_LVX3_4_OHCI_DID 0x0007
    #define GESYTEC_LVX3_OHCI_REV   0x01
    #define GESYTEC_LVX4_OHCI_REV   0x03


///////////////////////////////////////////////////////////////////////////////

#define GESYTEC_USB_VID         0x0E0C

  #define GESYTEC_LPU_PID           0x0001
  #define GESYTEC_LPM2_PID          0x0003
    #define GESYTEC_LPU_PRODUCT_STRING_INDEX 2

  #define GESYTEC_LVU_PID           0x0002
  #define GESYTEC_LVX2_PID          0x0004
  #define GESYTEC_LVX3_PID          0x0005
  #define GESYTEC_GDS_PID           0x0006
  #define GESYTEC_GDS_LATTICE_PID   0x0106      // new Lattice with bug (see Lattice Product Bulletin PB1412)
    #define GESYTEC_GDS201_REV          0x0001
    #define GESYTEC_GDS203_REV          0x0003
    #define GESYTEC_LVR3_REV            0x0004
    #define GESYTEC_LVR3XF1250_REV      0x0024
    #define GESYTEC_LVU_PRODUCT_STRING_INDEX 2
  #define GESYTEC_LVU2_PID          0x0007
  #define GESYTEC_LVU2_LATTICE_PID  0x0107      // new Lattice with bug (see Lattice Product Bulletin PB1412)
    #define GESYTEC_LVX4_REV            0x0001
    #define GESYTEC_LVX4_485_REV        0x0011
    #define GESYTEC_LVU2_REV            0x0002
    #define GESYTEC_LVM_REV             0x0003
    #define GESYTEC_LVM485_REV          0x0013
    #define GESYTEC_LVD_REV             0x0004
    #define GESYTEC_LVD485_REV          0x0014
    #define GESYTEC_LVX5_REV            0x0005
    #define GESYTEC_LVX5_485_REV        0x0015
    #define GESYTEC_LVX5_1250_REV       0x0025
//    #define GESYTEC_LVX4_PRODUCT_STRING_INDEX 1
//    #define GESYTEC_LVU2_PRODUCT_STRING_INDEX 2
//    #define GESYTEC_LVM_PRODUCT_STRING_INDEX  3
//    #define GESYTEC_LVD_PRODUCT_STRING_INDEX  4
//    #define GESYTEC_GDS_PRODUCT_STRING_INDEX  5

  #define GESYTEC_TTP_PID           0x0101


///////////////////////////////////////////////////////////////////////////////

#define PLX_PCI_VID         0x10B5

  #define PLX_9030_DID          0x9030
  #define PLX_9050_DID          0x9050


#define OXFORD_PCI_VID      0x1415

  #define OXFORD_OHCI_DID       0xC460
  #define OXFORD_EHCI_DID       0xC461
  #define OXFORD_OHCI_GPIO_DID  0xC464
  #define OXFORD_EHCI_GPIO_DID  0xC465


#define CYPRESS_USB_VID     0x04B4

  #define CYPRESS_FX_PID        0x2131
  #define CYPRESS_FX2_PID       0x8613

#define PERICOM_PCI_VID      0x12D8

  #define PERICOM_OHCI_DID       0x400E
  #define PERICOM_EHCI_DID       0x400F

#define ASMEDIA_PCI_VID      0x1B21

  #define ASMEDIA_XHCI_DID       0x1242

///////////////////////////////////////////////////////////////////////////////

#endif  // _GESYTEC_IDS_H_
